X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Macitosh G5 PowerPC compatibility with Firefox 4.0

Posted

I have been using Firefox for a very long time and I always try to stay current with the new releases of Firefox, and I was looking to do so with Firefox 4.0. However, Firefox 4.0 is not available for Mac PowerPC. It is only available for the Intel Mac's, which to say the least, is greatly disappointing. I would hope this omission would be corrected in the near future, as I can not buy a new computer. I am currently using Firefox 3.6.16 as of this writing. Please get back to me as to when I can expect a PowerPC version of Firefox 4.0. Thank you.

Modified by chromes

Additional System Details

This happened

Every time Firefox opened

This started when...

I tried to update to Firefox 4.0.

Installed Plug-ins

  • Gecko default plugin
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • Java Plug-In 2 for NPAPI Browsers
  • Adobe Shockwave for Director Netscape plug-in, version 11.5.7
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 10.1 r102

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.5; en-US; rv:1.9.2.16) Gecko/20110319 Firefox/3.6.16

More Information

None

the-edmeister
  • Top 10 Contributor
  • Moderator
3197 solutions 24404 answers

Helpful Reply

Mozilla isn't going to add support for PPC Macs in 4.0.

For older Macs that aren't supported in Firefox 4.0, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/

Modified by the-edmeister

Question owner

Thank you for the reply. TenFourFox looks like an answer. I haven't yet looked that closely at this software, but I will be doing so strait away. And I assume that TenFourFox, is a patch to allow use of Firefox 4.0 to run on a PPC G5 running 10.5.8.

Also I am a bit surprised that Mozilla would leave us out in the cold.  :P